
QGIS Application - Bug report #18637

Layout picture item: svg parameters dd icons status is triggered for all pictures if one changes

2018-04-05 06:56 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:3.1(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26525

Description

Add two picture items

Enable eg fill color data-defined button on one.

Select the second picture: it also has yellow DD button.

If you deselected the DD item before you select the second one then you get right properties appearance.

This made me crazy... ununderstanding why expressions were not applied though activated

Associated revisions

Revision 3c08e2d9 - 2018-04-06 03:31 AM - Nyall Dawson

[layouts] Fix data defined buttons do not update when clicking

between items of same type

Fixes #18637, #18639

Revision 0b627b30 - 2018-04-06 06:19 AM - Nyall Dawson

[layouts] Fix data defined buttons do not update when clicking

between items of same type

Fixes #18637, #18639

(cherry-picked from 3c08e2)

History

#1 - 2018-04-05 08:26 AM - Nyall Dawson

- Assignee set to Nyall Dawson

#2 - 2018-04-06 03:31 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|3c08e2d96f5e620e4e8ae007b54ae15ccf47802b.
